Robot Simulator of the Robotics Group for Self-Organization of Control: TrackableMeasure Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TrackableMeasure Class Reference

`#include <trackablemeasure.h>`

Inherits ComplexMeasure.

Inheritance diagram for TrackableMeasure:

[legend]
Collaboration diagram for TrackableMeasure:

[legend]
List of all members.

## Public Member Functions
| TrackableMeasure (std::list< Trackable * > trackableList, const char *measureName, ComplexMeasureMode cmode, std::list< Position > cornerPointList, short dimensions, int numberBins)
| creates a new TrackableMeasure.
virtual void | step ()
| defined by AbstractMeasure.
## Protected Member Functions
virtual double | findRange (std::list< Position > positionList, short dim, bool min)
virtual void | addDimension (short dim, std::list< Position > cornerPointList)
## Protected Attributes
std::list< Trackable * > | trackableList
ComplexMeasureMode | cmode
TrackMode | tmode

## Constructor & Destructor Documentation

TrackableMeasure | ( | std::list< Trackable * > | trackableList,
|  | const char * | measureName,
|  | ComplexMeasureMode | cmode,
|  | std::list< Position > | cornerPointList,
|  | short | dimensions,
|  | int | numberBins |
| ) |  |  |

creates a new TrackableMeasure.

The position of the Trackables in the given list is counted in a fequency list. The possible positions are given by the cornerPointList, which contains the cornerPoints of the arena where the trackables are placed. the complex measure ist then based on the frequency list

Parameters:

  | trackableList | the list of the Trackables
  | cornerPointList | the list with the cornerPoints of the arena
  | dimensions | which dimensions do you like to count? Note that the needed memory is (numberBins^ndim), but calculation costs are O(1)
  | cmode | which type of complex measure should be evaluated?
  | numberBins | number of bins used for discretisation

## Member Function Documentation

void addDimension | ( | short | dim,
|  | std::list< Position > | cornerPointList |
| ) |  |  | `[protected, virtual]`

double findRange | ( | std::list< Position > | positionList,
|  | short | dim,
|  | bool | min |
| ) |  |  | `[protected, virtual]`

void step | ( |  | ) | `[virtual]`

defined by AbstractMeasure.

This method is called from StatisticTools for updating the measure in every simStep (ODE).

Reimplemented from ComplexMeasure.

## Member Data Documentation

ComplexMeasureMode cmode`[protected]`

TrackMode tmode`[protected]`

std::list<Trackable*> trackableList`[protected]`

The documentation for this class was generated from the following files:

- trackablemeasure.h
- trackablemeasure.cpp